petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatFactorClearError

clears the error code in a factorization

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorClearError(Mat mat)

Logically Collective on Mat

### Input Parameter

mat -the factored matrix

### Notes

This can be called on non-factored matrices that come from, for example, matrices used in SOR.

### See Also

MatZeroEntries(), MatFactor(), MatGetFactor(), MatFactorSymbolic(), MatFactorGetError(), MatFactorGetErrorZeroPivot()

### Level

developer

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages